# $Revision: 1.3 $, $Date: 2011/06/14 17:40:43 $
Summary:	Zero storage carving library
Name:		libcarvpath
Version:	2.3.0
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://dl.sourceforge.net/carvpath/%{name}%{version}.tgz
# Source0-md5:	dac237151a2fed70f86024abe55f9d5b
URL:		http://ocfa.sourceforge.net/libcarvpath/
BuildRequires:	cmake
BuildRequires:	sqlite3-devel
BuildRequires:	openssl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A simple translation library to map multi level fragment lists to
virtual paths and back. It is meant to be used by forensic carving
tools and by pseudo filesystems that give access to data in disk
imaging file formats (raw,ewf,aff).
LibCarvpath is a library for computer forensics carving tools. It
provides the low level needs of zero-storage carving using virtual
paths. These virtual file paths can be used in conjunction with the
CarvFS filesystem.

%package devel
Summary:	Development libraries for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and
development documentation for %{name}. If you like to develop programs
using %{name}, you will need to install %{name}-devel.

%prep
%setup -q -n %{name}%{version}
sed -e 's|/lib\b|/%{_lib}|g' -i src/CMakeLists.txt

%build
export CFLAGS="%{rpmcflags}"
export CXXFLAGS="%{rpmcflags}"
%{__cmake} src \
	-DCMAKE_INSTALL_PREFIX="%{_prefix}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/%{name}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/%{name}.so.?

%files devel
%attr(755,root,root) %{_libdir}/%{name}.so
%{_includedir}/%{name}.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libcarvpath.spec,v $
Revision 1.3  2011/06/14 17:40:43  gotar
- fixed lib64 install location

Revision 1.2  2011/06/14 17:30:51  gotar
- better descriptions taken from
https://github.com/repoforge/rpms/blob/master/specs/libcarvpath/libcarvpath.spec

Revision 1.1  2011/06/14 17:25:45  gotar
- initial PLD release
